commit: ed72789e47c9c5e9d5287ad4c8b3e3d0d8231b13
Author: David Roman <stkw0 <AT> disroot <DOT> org>
AuthorDate: Tue Mar 10 11:22:16 2026 +0000
Commit: David Roman <stkw0 <AT> disroot <DOT> org>
CommitDate: Tue Mar 10 13:12:02 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ed72789e
www-misc/libkiwix: add 14.2.0
Signed-off-by: David Roman <stkw0 <AT> disroot.org>
www-misc/libkiwix/Manifest | 1 +
.../files/libkiwix-14.2.0_remove-python-dep.patch | 68 ++++++++++++++++++++++
www-misc/libkiwix/libkiwix-14.2.0.ebuild | 50 ++++++++++++++++
3 files changed, 119 insertions(+)
diff --git a/www-misc/libkiwix/Manifest b/www-misc/libkiwix/Manifest
index e8a84294f2..42c1b1b8c7 100644
--- a/www-misc/libkiwix/Manifest
+++ b/www-misc/libkiwix/Manifest
@@ -1,2 +1,3 @@
DIST libkiwix-14.0.0.tar.gz 1149884 BLAKE2B
f7a7a263dbbccacd4f3d922d4dfb0c347015ef9fb098c168e96c73b39175b381fe4eef9d0226820397aca37aa75f479a42bddff9d4e9ea59803532949e2e1bd5
SHA512
c0a6675e5add7221b812cdc91bd6212169922be6aea9cdcce34ec10328ae72ce5bc4eb218533172e6e926e58e9c683151b8ef13a489af0712f4c4c067d806e63
DIST libkiwix-14.1.1.tar.gz 1302934 BLAKE2B
f45aade2afb846c4b449bbe2c49437606600ab277d6ba4773c0bc3017a194e4a1b6614a9bb3978a0e32cb22e157c9d36563c56a1a54d15ab70da2c682239b73c
SHA512
921797af389476f24e755f8f64ed400c7ddb114832788ef6d05c427e444aee01298a8c7a33b8b818cce3f2e541ff86de53880cb1c8d4e3e4c21f13e7ac7f0d2a
+DIST libkiwix-14.2.0.tar.gz 1305709 BLAKE2B
9dfd3eb09585e158776fe82564b16fd7f31cd34972707deedcd517f9cbd50a0b4c68c26f291dc2e73c867e1f7b603acb4e28a7c2d0f8781d4bc5c3c6ff90d92d
SHA512
5ee080652c1359a8ba2fa13188cb5fea98f24f2876b3dfaa497858a3db68d6544f88b822a63520105ed1b9ca520cffd95a3bdb1aa679688880ca19c2543191da
diff --git a/www-misc/libkiwix/files/libkiwix-14.2.0_remove-python-dep.patch
b/www-misc/libkiwix/files/libkiwix-14.2.0_remove-python-dep.patch
new file mode 100644
index 0000000000..f1e162f9ef
--- /dev/null
+++ b/www-misc/libkiwix/files/libkiwix-14.2.0_remove-python-dep.patch
@@ -0,0 +1,68 @@
+diff --git i/static/meson.build w/static/meson.build
+index b650cabc..e69cff63 100644
+--- i/static/meson.build
++++ w/static/meson.build
+@@ -35,30 +35,8 @@ lib_resources = custom_target('resources',
+ depends: preprocessed_resources
+ )
+
+-# This could be replaced with
+-# ```
+-# fs = import('fs')
+-# i18n_resource_files = fs.read('i18n_resources_list.txt').strip().split('\n')
+-# ```
+-# once we move to meson >= 0.57.0
+-
+-if meson.version().version_compare('>=0.47.0')
+- i18n_resource_files = run_command(
+- find_program('python3'),
+- '-c',
+- 'import sys; f=open(sys.argv[1]); print(f.read())',
+- files('i18n_resources_list.txt'),
+- check: true
+- ).stdout().strip().split('\n')
+-else
+- i18n_resource_files = run_command(
+- find_program('python3'),
+- '-c',
+- 'import sys; f=open(sys.argv[1]); print(f.read())',
+- files('i18n_resources_list.txt'),
+- ).stdout().strip().split('\n')
+-endif
+-
++fs = import('fs')
++i18n_resource_files = fs.read('i18n_resources_list.txt').strip().split('\n')
+
+ i18n_resources = custom_target('i18n_resources',
+ input: i18n_resource_files,
+diff --git i/test/meson.build w/test/meson.build
+index 5b81bce9..292ae28b 100644
+--- i/test/meson.build
++++ w/test/meson.build
+@@ -51,25 +51,9 @@ if gtest_dep.found() and not meson.is_cross_build()
+ 'welcome.html',
+ ]
+ foreach file : data_files
+- # configure_file(input : 'data/' + file,
+- # output : file,
+- # copy: true )
+- #
+- # Above (commented) command doesn't work with Meson versions below
0.47
+- # (in which the 'copy' keyword was first introduced). We want to keep
+- # compatibility with Ubuntu 18.04 Bionic (which has Meson version
0.45)
+- # until its EOL.
+- #
+- # Below is a python based workaround.
+ configure_file(input : 'data/' + file,
+ output : file,
+- command: [
+- find_program('python3'),
+- '-c',
+- 'import sys; import shutil;
shutil.copy(sys.argv[1], sys.argv[2])',
+- '@INPUT@',
+- '@OUTPUT@'
+- ])
++ copy: true )
+ endforeach
+
+ foreach test_name : tests
diff --git a/www-misc/libkiwix/libkiwix-14.2.0.ebuild
b/www-misc/libkiwix/libkiwix-14.2.0.ebuild
new file mode 100644
index 0000000000..14c4083451
--- /dev/null
+++ b/www-misc/libkiwix/libkiwix-14.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Kiwix software suite core: code shared by all Kiwix ports"
+HOMEPAGE="https://kiwix.org/"
+SRC_URI="https://github.com/kiwix/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0/14"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ >=app-arch/libzim-9.0.0
+ dev-libs/icu:=
+ dev-libs/pugixml
+ dev-libs/xapian:=
+ net-libs/libmicrohttpd:=
+ net-misc/curl
+ virtual/zlib:=
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ net-misc/aria2[bittorrent,metalink,xmlrpc]
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ >=dev-cpp/mustache-4.1
+"
+BDEPEND="
+ test? ( dev-cpp/gtest )
+"
+
+PATCHES=( "${FILESDIR}/${P}_remove-python-dep.patch" )
+
+src_prepare() {
+ default
+
+ # requires PROPERTIES="test_network"
+ sed -i '/^if build_machine.system/,/endif/d' test/meson.build || die
+
+ if ! use test; then
+ sed -i "/subdir('test')/d" meson.build || die
+ fi
+}